/*
Template Name: Fame
Author: VictorTheme
Version: 1.0.0
Email: support@victortheme.com
*/

(function($){
'use strict';

/*----- ELEMENTOR LOAD FUNTION CALL ---*/

$( window ).on( 'elementor/frontend/init', function() {
	//Obra Owl Carousel Slider Script
	var owl_carousel = function(){
		$('.owl-carousel').each( function() {
	    var $carousel = $(this);
	    var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 1;
	    var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 1;
	    var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 1;
	    var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
	    $carousel.owlCarousel ({
	      loop : ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
	      items : $carousel.data('items'),
	      margin : ($carousel.data('margin') !== undefined) ? $carousel.data('margin') : 0,
	      dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : true,
	      nav : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
	      navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
	      autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
	      autoplayTimeout : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 5000,
	      animateIn : ($carousel.data('animatein') !== undefined) ? $carousel.data('animatein') : false,
	      animateOut : ($carousel.data('animateout') !== undefined) ? $carousel.data('animateout') : false,
	      mouseDrag : ($carousel.data('mouse-drag') !== undefined) ? $carousel.data('mouse-drag') : true,
	      autoWidth : ($carousel.data('auto-width') !== undefined) ? $carousel.data('auto-width') : false,
	      autoHeight : ($carousel.data('auto-height') !== undefined) ? $carousel.data('auto-height') : false,
	      center : ($carousel.data('center') !== undefined) ? $carousel.data('center') : false,
	      responsiveClass: true,
	      dotsEachNumber: true,
	      smartSpeed: 600,
	      autoplayHoverPause: true,
	      responsive : {
	        0 : {
	          items : $items_mobile_portrait,
	        },
	        480 : {
	          items : $items_mobile_landscape,
	        },
	        768 : {
	          items : $items_tablet,
	        },
	        992 : {
	          items : $items,
	        }
	      }
	    });
	    var totLength = $('.owl-dot', $carousel).length;
	    $('.total-no', $carousel).html(totLength);
	    $('.current-no', $carousel).html(totLength);
	    $carousel.owlCarousel();
	    $('.current-no', $carousel).html(1);
	    $carousel.on('changed.owl.carousel', function(event) {
	      var total_items = event.page.count;
	      var currentNum = event.page.index + 1;
	      $('.total-no', $carousel ).html(total_items);
	      $('.current-no', $carousel).html(currentNum);
	    });
	  });

	}; // end

  // Add top space One Page Menu
	elementorFrontend.hooks.addFilter( 'frontend/handlers/menu_anchor/scroll_top_distance', function( scrollTop ) {
	  var headerheight = $(".fame-header").outerHeight();
		return scrollTop - headerheight;
	} );

	//Starter Preloader Script
  $('.fame-preloader').fadeOut(500);

	var item_hover_class = function( selector ){
		$(selector).on({
		  mouseenter : function() {
			$(this).addClass('fame-hover');
		  },
		  mouseleave : function() {
			$(this).removeClass('fame-hover');
		  }
		});
	};

	var EqualHeight = function(){
		$('.fame-item').matchHeight ({
	    property: 'height'
	  });
	  $('.fame-inner-item').matchHeight ({
	    property: 'height'
	  });
	};

	//Fame client
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_client.default', function($scope, $){
		owl_carousel();
		item_hover_class('.client-item');
	} );

	//Fame Portfolio
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_portfolio.default', function($scope, $){

		item_hover_class('.portfolio-item');
		var $grid = $('.fame-masonry').isotope ({
      itemSelector: '.masonry-item',
      layoutMode: 'packery',
      percentPosition: true,
      isFitWidth: true,
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match(/ium$/);
      }
    };
    $('.masonry-filters').on('click', 'li a', function() {
      var filterValue = $(this).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
    });
    $('.masonry-filters').each(function(i, buttonGroup) {
      var $buttonGroup = $(buttonGroup);
      $buttonGroup.on('click', 'li a', function() {
        $buttonGroup.find('.active').removeClass('active');
        $(this).addClass('active');
      });
    });
	} );

	//Fame Case Studies
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_case_studies.default', function($scope, $){

		item_hover_class('.case-item');
		var $grid = $('.fame-masonry').isotope ({
      itemSelector: '.masonry-item',
      layoutMode: 'packery',
      percentPosition: true,
      isFitWidth: true,
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match(/ium$/);
      }
    };
    $('.masonry-filters').on('click', 'li a', function() {
      var filterValue = $(this).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
    });
    $('.masonry-filters').each(function(i, buttonGroup) {
      var $buttonGroup = $(buttonGroup);
      $buttonGroup.on('click', 'li a', function() {
        $buttonGroup.find('.active').removeClass('active');
        $(this).addClass('active');
      });
    });
	} );

	//Fame Blog
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_blog.default', function($scope, $){
		item_hover_class('.fame-share-link');
	} );

	// Fame Features
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_features.default', function($scope, $){
		//Obra Hover Script
		item_hover_class('.feature-item');
	} );

	//Fame Pricing
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_pricing.default', function($scope, $){
		$('.fame-item').matchHeight ({
	    property: 'height'
	  });
		item_hover_class('.price-item, .plan-item');
	} );

	//Fame Sitemap
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_sitemap.default', function($scope, $){
  	$('.sitemap-item .bullet-list li, .sitemap-item .bullet-list ul').removeAttr("class");
	} );

	//Fame Testimonial Carousel
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_testimonial_carousel.default', function($scope, $){
		owl_carousel();
		$('.fame-item').matchHeight ({
	    property: 'height'
	  });
	} );

	//Fame Features
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_tab_content.default', function($scope, $){
		owl_carousel();
	} );
	
	//Fame Screens
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_screens.default', function($scope, $){
		owl_carousel();
	} );	
	
	//Fame Slider
	elementorFrontend.hooks.addAction( 'frontend/element_ready/vt-fame_slider.default', function($scope, $){
		//Fame Swiper Slider Script
    $('.swiper-slides').each(function (index) {
      //Fame Swiper Slider Script
      var animEndEv = 'webkitAnimationEnd animationend';
      var swipermw = $('.swiper-container.swiper-mousewheel').length ? true : false;
      var swiperkb = $('.swiper-container.swiper-keyboard').length ? true : false;
      var swipercentered = $('.swiper-container.swiper-center').length ? true : false;
      var swiperautoplay = $('.swiper-container').data('autoplay');
      var swiperloop = $('.swiper-container').data('loop');
      var swipermousedrag = $('.swiper-container').data('mousedrag');
      var swipereffect = $('.swiper-container').data('effect');
      var swiperclikable = $('.swiper-container').data('clickpage');
      var swiperspeed = $('.swiper-container').data('speed');

      //Fame Swiper Slides Script
      var swiper = new Swiper($(this), {
        autoplay: swiperautoplay,
        effect: swipereffect,
        speed: swiperspeed,
        loop: swiperloop,
        paginationClickable: swiperclikable,
        watchSlidesProgress: true,
        simulateTouch: swipermousedrag,
        pagination: {
          el: '.swiper-pagination',
          clickable: true,
        },
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
        mousewheelControl: swipermw,
        keyboardControl: swiperkb,
      });
      swiper.on('slideChange', function (s) {
        var currentSlide = $(swiper.slides[swiper.activeIndex]);
          var elems = currentSlide.find('.animated')
          elems.each(function() {
            var $this = $(this);
            var animationType = $this.data('animation');
            $this.addClass(animationType, 100).on(animEndEv, function() {
              $this.removeClass(animationType);
            });
          });
      });
    });
	} );

} );

})(jQuery);